USN-6651-2

See a problem?
Source
https://ubuntu.com/security/notices/USN-6651-2
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6651-2.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6651-2
Related
Published
2024-02-28T17:12:46.793157Z
Modified
2024-02-28T17:12:46.793157Z
Summary
linux-lowlatency, linux-lowlatency-hwe-6.5, linux-oem-6.5 vulnerabilities
Details

It was discovered that a race condition existed in the ATM (Asynchronous Transfer Mode) subsystem of the Linux kernel, leading to a use-after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2023-51780)

It was discovered that a race condition existed in the AppleTalk networking subsystem of the Linux kernel, leading to a use-after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2023-51781)

Zhenghan Wang discovered that the generic ID allocator implementation in the Linux kernel did not properly check for null bitmap when releasing IDs. A local attacker could use this to cause a denial of service (system crash). (CVE-2023-6915)

Robert Morris discovered that the CIFS network file system implementation in the Linux kernel did not properly validate certain server commands fields, leading to an out-of-bounds read vulnerability. An attacker could use this to cause a denial of service (system crash) or possibly expose sensitive information. (CVE-2024-0565)

Jann Horn discovered that the io_uring subsystem in the Linux kernel did not properly handle the release of certain buffer rings. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2024-0582)

Jann Horn discovered that the TLS subsystem in the Linux kernel did not properly handle spliced messages, leading to an out-of-bounds write vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2024-0646)

References

Affected packages

Ubuntu:22.04:LTS / linux-lowlatency-hwe-6.5

Package

Name
linux-lowlatency-hwe-6.5

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
6.5.0-21.21.1~22.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-lowlatency-64k-hwe-22.04-edge": "6.5.0.21.21.1~22.04.7",
            "linux-cloud-tools-lowlatency-hwe-22.04-edge": "6.5.0.21.21.1~22.04.7",
            "linux-buildinfo-6.5.0-21-lowlatency": "6.5.0-21.21.1~22.04.1",
            "linux-image-unsigned-6.5.0-21-lowlatency-64k": "6.5.0-21.21.1~22.04.1",
            "linux-tools-lowlatency-hwe-22.04-edge": "6.5.0.21.21.1~22.04.7",
            "linux-modules-iwlwifi-lowlatency-hwe-22.04-edge": "6.5.0.21.21.1~22.04.7",
            "linux-cloud-tools-lowlatency-hwe-22.04": "6.5.0.21.21.1~22.04.7",
            "linux-buildinfo-6.5.0-21-lowlatency-64k": "6.5.0-21.21.1~22.04.1",
            "linux-headers-lowlatency-hwe-22.04-edge": "6.5.0.21.21.1~22.04.7",
            "linux-headers-lowlatency-hwe-22.04": "6.5.0.21.21.1~22.04.7",
            "linux-image-unsigned-6.5.0-21-lowlatency": "6.5.0-21.21.1~22.04.1",
            "linux-tools-lowlatency-64k-hwe-22.04": "6.5.0.21.21.1~22.04.7",
            "linux-tools-lowlatency-hwe-22.04": "6.5.0.21.21.1~22.04.7",
            "linux-lowlatency-64k-hwe-22.04": "6.5.0.21.21.1~22.04.7",
            "linux-lowlatency-hwe-6.5-lib-rust-6.5.0-21-lowlatency": "6.5.0-21.21.1~22.04.1",
            "linux-lowlatency-hwe-22.04-edge": "6.5.0.21.21.1~22.04.7",
            "linux-modules-iwlwifi-6.5.0-21-lowlatency": "6.5.0-21.21.1~22.04.1",
            "linux-headers-6.5.0-21-lowlatency": "6.5.0-21.21.1~22.04.1",
            "linux-lowlatency-hwe-6.5-tools-common": "6.5.0-21.21.1~22.04.1",
            "linux-image-6.5.0-21-lowlatency-64k": "6.5.0-21.21.1~22.04.1",
            "linux-modules-6.5.0-21-lowlatency-64k": "6.5.0-21.21.1~22.04.1",
            "linux-lowlatency-hwe-6.5-cloud-tools-common": "6.5.0-21.21.1~22.04.1",
            "linux-lowlatency-64k-hwe-22.04-edge": "6.5.0.21.21.1~22.04.7",
            "linux-headers-lowlatency-64k-hwe-22.04": "6.5.0.21.21.1~22.04.7",
            "linux-cloud-tools-6.5.0-21-lowlatency": "6.5.0-21.21.1~22.04.1",
            "linux-image-lowlatency-hwe-22.04": "6.5.0.21.21.1~22.04.7",
            "linux-lowlatency-hwe-6.5-tools-host": "6.5.0-21.21.1~22.04.1",
            "linux-tools-6.5.0-21-lowlatency-64k": "6.5.0-21.21.1~22.04.1",
            "linux-tools-6.5.0-21-lowlatency": "6.5.0-21.21.1~22.04.1",
            "linux-image-lowlatency-hwe-22.04-edge": "6.5.0.21.21.1~22.04.7",
            "linux-image-lowlatency-64k-hwe-22.04": "6.5.0.21.21.1~22.04.7",
            "linux-headers-6.5.0-21-lowlatency-64k": "6.5.0-21.21.1~22.04.1",
            "linux-image-6.5.0-21-lowlatency": "6.5.0-21.21.1~22.04.1",
            "linux-tools-lowlatency-64k-hwe-22.04-edge": "6.5.0.21.21.1~22.04.7",
            "linux-lowlatency-hwe-22.04": "6.5.0.21.21.1~22.04.7",
            "linux-image-lowlatency-64k-hwe-22.04-edge": "6.5.0.21.21.1~22.04.7",
            "linux-lowlatency-hwe-6.5-headers-6.5.0-21": "6.5.0-21.21.1~22.04.1",
            "linux-modules-iwlwifi-lowlatency-hwe-22.04": "6.5.0.21.21.1~22.04.7",
            "linux-lowlatency-hwe-6.5-tools-6.5.0-21": "6.5.0-21.21.1~22.04.1",
            "linux-modules-6.5.0-21-lowlatency": "6.5.0-21.21.1~22.04.1",
            "linux-lowlatency-hwe-6.5-cloud-tools-6.5.0-21": "6.5.0-21.21.1~22.04.1"
        }
    ]
}

Ubuntu:22.04:LTS / linux-oem-6.5

Package

Name
linux-oem-6.5

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
6.5.0-1015.16

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-oem-22.04d": "6.5.0.1015.17",
            "linux-image-6.5.0-1015-oem": "6.5.0-1015.16",
            "linux-oem-6.5-headers-6.5.0-1015": "6.5.0-1015.16",
            "linux-modules-iwlwifi-oem-22.04d": "6.5.0.1015.17",
            "linux-modules-usbio-oem-22.04d": "6.5.0.1015.17",
            "linux-image-uc-6.5.0-1015-oem": "6.5.0-1015.16",
            "linux-tools-oem-22.04d": "6.5.0.1015.17",
            "linux-image-oem-22.04d": "6.5.0.1015.17",
            "linux-modules-ivsc-6.5.0-1015-oem": "6.5.0-1015.16",
            "linux-buildinfo-6.5.0-1015-oem": "6.5.0-1015.16",
            "linux-image-uc-oem-22.04d": "6.5.0.1015.17",
            "linux-image-unsigned-6.5.0-1015-oem": "6.5.0-1015.16",
            "linux-oem-6.5-lib-rust-6.5.0-1015-oem": "6.5.0-1015.16",
            "linux-modules-iwlwifi-6.5.0-1015-oem": "6.5.0-1015.16",
            "linux-oem-6.5-tools-host": "6.5.0-1015.16",
            "linux-headers-6.5.0-1015-oem": "6.5.0-1015.16",
            "linux-modules-ipu6-6.5.0-1015-oem": "6.5.0-1015.16",
            "linux-modules-usbio-6.5.0-1015-oem": "6.5.0-1015.16",
            "linux-modules-6.5.0-1015-oem": "6.5.0-1015.16",
            "linux-tools-6.5.0-1015-oem": "6.5.0-1015.16",
            "linux-modules-ivsc-oem-22.04d": "6.5.0.1015.17",
            "linux-modules-ipu6-oem-22.04d": "6.5.0.1015.17",
            "linux-oem-6.5-tools-6.5.0-1015": "6.5.0-1015.16",
            "linux-oem-22.04d": "6.5.0.1015.17"
        }
    ]
}

Ubuntu:23.10 / linux-lowlatency

Package

Name
linux-lowlatency

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
6.5.0-21.21.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-lowlatency-64k-hwe-22.04-edge": "6.5.0.21.21.15",
            "linux-tools-lowlatency-64k-hwe-22.04": "6.5.0.21.21.15",
            "linux-buildinfo-6.5.0-21-lowlatency": "6.5.0-21.21.1",
            "linux-headers-lowlatency-hwe-20.04-edge": "6.5.0.21.21.15",
            "linux-cloud-tools-lowlatency-hwe-22.04": "6.5.0.21.21.15",
            "linux-headers-lowlatency-hwe-22.04-edge": "6.5.0.21.21.15",
            "linux-image-unsigned-6.5.0-21-lowlatency": "6.5.0-21.21.1",
            "linux-cloud-tools-lowlatency": "6.5.0.21.21.15",
            "linux-tools-lowlatency-64k": "6.5.0.21.21.15",
            "linux-lowlatency-64k-hwe-20.04-edge": "6.5.0.21.21.15",
            "linux-lowlatency-hwe-22.04-edge": "6.5.0.21.21.15",
            "linux-modules-iwlwifi-6.5.0-21-lowlatency": "6.5.0-21.21.1",
            "linux-lowlatency-64k-hwe-20.04": "6.5.0.21.21.15",
            "linux-headers-6.5.0-21-lowlatency": "6.5.0-21.21.1",
            "linux-tools-lowlatency-hwe-20.04-edge": "6.5.0.21.21.15",
            "linux-image-6.5.0-21-lowlatency-64k": "6.5.0-21.21.1",
            "linux-lowlatency-64k-hwe-22.04-edge": "6.5.0.21.21.15",
            "linux-image-lowlatency-hwe-22.04": "6.5.0.21.21.15",
            "linux-lowlatency-cloud-tools-common": "6.5.0-21.21.1",
            "linux-tools-6.5.0-21-lowlatency": "6.5.0-21.21.1",
            "linux-image-lowlatency-hwe-22.04-edge": "6.5.0.21.21.15",
            "linux-lowlatency-64k": "6.5.0.21.21.15",
            "linux-headers-6.5.0-21-lowlatency-64k": "6.5.0-21.21.1",
            "linux-lowlatency-hwe-20.04": "6.5.0.21.21.15",
            "linux-image-6.5.0-21-lowlatency": "6.5.0-21.21.1",
            "linux-tools-lowlatency-64k-hwe-22.04-edge": "6.5.0.21.21.15",
            "linux-modules-iwlwifi-lowlatency": "6.5.0.21.21.15",
            "linux-modules-iwlwifi-lowlatency-hwe-22.04": "6.5.0.21.21.15",
            "linux-modules-6.5.0-21-lowlatency": "6.5.0-21.21.1",
            "linux-tools-lowlatency": "6.5.0.21.21.15",
            "linux-modules-iwlwifi-lowlatency-hwe-22.04-edge": "6.5.0.21.21.15",
            "linux-image-unsigned-6.5.0-21-lowlatency-64k": "6.5.0-21.21.1",
            "linux-tools-lowlatency-hwe-22.04-edge": "6.5.0.21.21.15",
            "linux-lowlatency-cloud-tools-6.5.0-21": "6.5.0-21.21.1",
            "linux-tools-lowlatency-64k-hwe-20.04-edge": "6.5.0.21.21.15",
            "linux-buildinfo-6.5.0-21-lowlatency-64k": "6.5.0-21.21.1",
            "linux-headers-lowlatency-hwe-20.04": "6.5.0.21.21.15",
            "linux-headers-lowlatency-hwe-22.04": "6.5.0.21.21.15",
            "linux-lowlatency-lib-rust-6.5.0-21-lowlatency": "6.5.0-21.21.1",
            "linux-cloud-tools-lowlatency-hwe-22.04-edge": "6.5.0.21.21.15",
            "linux-image-lowlatency-64k-hwe-20.04-edge": "6.5.0.21.21.15",
            "linux-tools-lowlatency-hwe-22.04": "6.5.0.21.21.15",
            "linux-lowlatency-64k-hwe-22.04": "6.5.0.21.21.15",
            "linux-headers-lowlatency-64k-hwe-20.04-edge": "6.5.0.21.21.15",
            "linux-headers-lowlatency-64k-hwe-20.04": "6.5.0.21.21.15",
            "linux-image-lowlatency-hwe-20.04-edge": "6.5.0.21.21.15",
            "linux-headers-lowlatency": "6.5.0.21.21.15",
            "linux-image-lowlatency": "6.5.0.21.21.15",
            "linux-image-lowlatency-hwe-20.04": "6.5.0.21.21.15",
            "linux-modules-6.5.0-21-lowlatency-64k": "6.5.0-21.21.1",
            "linux-lowlatency-tools-common": "6.5.0-21.21.1",
            "linux-headers-lowlatency-64k-hwe-22.04": "6.5.0.21.21.15",
            "linux-cloud-tools-6.5.0-21-lowlatency": "6.5.0-21.21.1",
            "linux-image-lowlatency-64k-hwe-20.04": "6.5.0.21.21.15",
            "linux-lowlatency-tools-6.5.0-21": "6.5.0-21.21.1",
            "linux-lowlatency-headers-6.5.0-21": "6.5.0-21.21.1",
            "linux-lowlatency-tools-host": "6.5.0-21.21.1",
            "linux-headers-lowlatency-64k": "6.5.0.21.21.15",
            "linux-image-lowlatency-64k-hwe-22.04": "6.5.0.21.21.15",
            "linux-tools-lowlatency-hwe-20.04": "6.5.0.21.21.15",
            "linux-tools-6.5.0-21-lowlatency-64k": "6.5.0-21.21.1",
            "linux-tools-lowlatency-64k-hwe-20.04": "6.5.0.21.21.15",
            "linux-cloud-tools-lowlatency-hwe-20.04": "6.5.0.21.21.15",
            "linux-lowlatency-hwe-22.04": "6.5.0.21.21.15",
            "linux-image-lowlatency-64k-hwe-22.04-edge": "6.5.0.21.21.15",
            "linux-image-lowlatency-64k": "6.5.0.21.21.15",
            "linux-cloud-tools-lowlatency-hwe-20.04-edge": "6.5.0.21.21.15",
            "linux-lowlatency": "6.5.0.21.21.15",
            "linux-lowlatency-hwe-20.04-edge": "6.5.0.21.21.15"
        }
    ]
}